View Issue Details

IDProjectCategoryView StatusLast Update
0000196luatexfeature requestpublic2009-11-18 16:55
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.50.0Fixed in Version0.45.0 
Summary0000196: using kpathsea to find require files
DescriptionFrom Manuel:

I apologize in advance if this is an FAQ, but I couldn't find any reference in
the manual nor using google.

Did you ever consider changing package.loaders so that the function looking for
lua modules uses something like kpse.find_file(name, 'lua') in order to find the
file rather that searching it along package.path?
Additional InformationWhen kpathsea is initialized
anyway, which is either when kpse.set_program_name() has been called
by the user in a texlua script or in the --lua ini file, or when
actual typesetting is being done and kpathsea has not explicitly
been disabled via texconfig.kpse_init=false, then I see no reason
*not* to use kpathsea as one of the package loaders.

Perhaps package.loaders will need redefinition anyway, but I assume
it would be a useful addition to have on by default, especially in
standalone scripts.
TagsNo tags attached.

Activities

Taco

2009-11-04 15:58

administrator   ~0000320

Implemented by #3097, with explanation in #3098 (manual)

Taco

2009-11-09 14:23

administrator   ~0000326

Also check #3109:

partially revert #3097: now only use kpse when kpathsea is actually
initialized, either by luatex as part of the normal startup, or
by kpse.set_program_name() in the case of texlua.

Issue History

Date Modified Username Field Change
2009-03-26 10:46 Taco New Issue
2009-03-26 10:46 Taco Status new => assigned
2009-03-26 10:46 Taco Assigned To => Taco
2009-05-06 13:57 Taco Target Version => 0.50.0
2009-11-04 15:58 Taco Status assigned => resolved
2009-11-04 15:58 Taco Resolution open => fixed
2009-11-04 15:58 Taco Note Added: 0000320
2009-11-09 14:23 Taco Note Added: 0000326
2009-11-18 16:54 Taco Fixed in Version => 0.45.0
2009-11-18 16:55 Taco Status resolved => closed